module BinderSDK
  class Resource < SDKResource
    self.path = "/resources"

    def entries
      Entry.where(resource_id: self.id)
    end

    def self.reimport_metadata(id)
      new Loquor.post("#{path}/#{id}/reimport_metadata", {})
    end    

  end

  class ResourceMock < Resource
    extend Loquor::ResourceMock

    self.attributes = {
      id: 1,
      created_by_id: 1,
      site_name: 'FooTube',
      url: 'http://footube.example.com/foo/bar',
      title: 'Foo Bar Baz',
      description: 'The Foo Bar Baz mock external resource is a great FooTube video.'
    }
  end
end
