require 'active_support/all'
require 'loquor'

require 'binder_sdk/version'
require 'binder_sdk/configuration'
require 'binder_sdk/mocker'

require 'binder_sdk/helpers'
require 'binder_sdk/sdk_resource'
require 'binder_sdk/email_shortcodes'

module BinderSDK
  def self.config
    @config ||= Configuration.new
    if block_given?
      yield @config
    else
      @config
    end
  end

  def self.mock!
    BinderSDK::Mocker.mock!
  end
end
