module BinderSDK
  class Entry < SDKResource
    self.path = "/entries"
  end

  def user
    @user ||= User.find(user_id)
  end

  def resource
    @resource ||= Resource.find(resource_id)
  end

  def binder
    @binder ||= Binder.find(resource_id)
  end

  class EntryMock < Entry
    extend Loquor::ResourceMock

    self.attributes = {
      id: 50,
      user_id: 30660,
      resource_id: 17,
      binder_id: 11,
      order_value: 100
    }
  end
end
